# this is a configuration file for zabbix server process
# to get more information about zabbix, visit http://www.zabbix.com

ListenPort={{ zabbix_server_listenport }}

{% if zabbix_server_sourceip is defined and zabbix_server_sourceip %}
SourceIP={{ zabbix_server_sourceip }}
{% endif %}

{% if zabbix_server_version is version_compare('3.0', '>=') %}
LogType={{ zabbix_server_logtype }}
{% endif %}

LogFile={{ zabbix_server_logfile }}

LogFileSize={{ zabbix_server_logfilesize }}

DebugLevel={{ zabbix_server_debuglevel }}

{% if zabbix_server_version is version_compare('3.4', '>=') %}
SocketDir={{ zabbix_server_socketdir }}
{% endif %}

PidFile={{ zabbix_server_pidfile }}

## Database options
DBHost={{ zabbix_server_database_host }}
DBName={{ zabbix_server_database_name }}
DBUser={{ zabbix_server_database_user }}
DBPassword={{ zabbix_server_database_password }}
{% if zabbix_server_database_port is defined and zabbix_server_database_port %}
DBPort={{ zabbix_server_database_port }}
{% endif %}

# Not implemented
# {% if zabbix_server_database_tls_mode %}
# DBTLSConnect={{ zabbix_server_database_tls_mode }}
# DBTLSCAFile={{ zabbix_server_database_tls_ca_file }}
# {% if zabbix_server_database_tls_cert_file is defined %}
# DBTLSCertFile={{ zabbix_server_database_tls_cert_file }}
# {% endif %}
# {% if zabbix_server_database_tls_key_file is defined %}
# DBTLSKeyFile={{ zabbix_server_database_tls_key_file }}
# {% endif %}
# {% endif %}

{% if zabbix_server_version is version_compare('3.4', '>=') %}
HistoryStorageTypes={{ zabbix_server_historystoragetypes }}
{% endif %}

{% if zabbix_server_version is version_compare('4.0', '>=') %}
HistoryStorageDateIndex={{ zabbix_server_historystoragedateindex }}
{% endif %}

{% if zabbix_server_version is version_compare('4.0', '>=') %}
{% if zabbix_server_exportdir is defined and zabbix_server_exportdir %}
ExportDir={{ zabbix_server_exportdir }}
{% endif %}
{% endif %}

{% if zabbix_server_version is version_compare('4.0', '>=') %}
ExportFileSize={{ zabbix_server_exportfilesize }}
{% endif %}
StartPollers={{ zabbix_server_startpollers }}
StartIPMIPollers={{ zabbix_server_startipmipollers }}
StartPollersUnreachable={{ zabbix_server_startpollersunreachable }}
StartTrappers={{ zabbix_server_starttrappers }}
StartPingers={{ zabbix_server_startpingers }}
StartDiscoverers={{ zabbix_server_startdiscoverers }}
StartHTTPPollers={{ zabbix_server_starthttppollers }}

{% if zabbix_server_version is version_compare('2.0', '>=') %}
StartTimers={{ zabbix_server_starttimers }}
{% endif %}

{% if zabbix_server_version is version_compare('3.0', '>=') %}
StartEscalators={{ zabbix_server_startescalators }}
{% endif %}

## VMWare Collector Options
{% if zabbix_server_version is version_compare('2.2', '>=') %}
StartVMwareCollectors={{ zabbix_server_startvmwarecollectors }}
VMwareFrequency={{ zabbix_server_vmwarefrequency }}

{% if zabbix_server_version is version_compare('3.0', '>=') %}
VMwarePerfFrequency={{ zabbix_server_vmwareperffrequency }}
{% endif %}
VMwareCacheSize={{ zabbix_server_vmwarecachesize }}
{% endif  %}

{% if zabbix_server_version is version_compare('3.0', '>=') %}
VMwareTimeout={{ zabbix_server_vmwaretimeout }}
{% endif %}

## SNMP Trap options
SNMPTrapperFile={{ zabbix_server_snmptrapperfile }}
StartSNMPTrapper={{ zabbix_server_startsnmptrapper }}
{% if zabbix_server_listenip is defined and zabbix_server_listenip %}
ListenIP={{ zabbix_server_listenip }}
{% endif %}

HousekeepingFrequency={{ zabbix_server_housekeepingfrequency }}
MaxHousekeeperDelete={{ zabbix_server_maxhousekeeperdelete }}

{% if zabbix_server_version is version_compare('3.2', '<=') %}
SenderFrequency={{ zabbix_server_senderfrequency }}
{% endif %}

CacheSize={{ zabbix_server_cachesize }}
CacheUpdateFrequency={{ zabbix_server_cacheupdatefrequency }}
StartDBSyncers={{ zabbix_server_startdbsyncers }}
HistoryCacheSize={{ zabbix_server_historycachesize }}
{% if zabbix_server_version is version_compare('3.0', '>=') %}
HistoryIndexCacheSize={{ zabbix_server_historyindexcachesize }}
{% endif %}

TrendCacheSize={{ zabbix_server_trendcachesize }}

{% if zabbix_server_version is version_compare('3.0', '<') %}
HistoryTextCacheSize={{ zabbix_server_historytextcachesize }}
{% endif %}

{% if zabbix_server_version is version_compare('2.2', '>=') %}
ValueCacheSize={{ zabbix_server_valuecachesize }}
{% endif %}

{% if zabbix_server_version is version_compare('2.4', '<') %}
NodeNoEvents={{ zabbix_server_nodenoevents }}
NodeNoHistory={{ zabbix_server_nodenohistory }}
{% endif %}

Timeout={{ zabbix_server_timeout }}
TrapperTimeout={{ zabbix_server_trappertimeout }}
UnreachablePeriod={{ zabbix_server_unreachableperiod }}
UnavailableDelay={{ zabbix_server_unavailabledelay }}
UnreachableDelay={{ zabbix_server_unreachabledelay }}

AlertScriptsPath={{ zabbix_server_alertscriptspath }}
ExternalScripts={{ zabbix_server_externalscriptspath }}
FpingLocation={{ zabbix_server_fpinglocation }}
Fping6Location={{ zabbix_server_fping6location }}

{% if zabbix_server_sshkeylocation is defined and zabbix_server_sshkeylocation %}
SSHKeyLocation={{ zabbix_server_sshkeylocation }}
{% endif %}

LogSlowQueries={{ zabbix_server_logslowqueries }}

TmpDir={{ zabbix_server_tmpdir }}

StartProxyPollers={{ zabbix_server_startproxypollers }}

ProxyConfigFrequency={{ zabbix_server_proxyconfigfrequency }}

ProxyDataFrequency={{ zabbix_server_proxydatafrequency }}

{% if zabbix_server_version is version_compare('2.2', '>=') %}
AllowRoot={{ zabbix_server_allowroot }}
{% endif %}

{% if zabbix_server_version is version_compare('3.0', '>=') %}
User={{ zabbix_server_user }}
{% endif %}
Include={{ zabbix_server_include }}

{% if zabbix_server_version is version_compare('3.0', '>=') %}
SSLCertLocation={{ zabbix_server_sslcertlocation }}
SSLKeyLocation={{ zabbix_server_sslkeylocation }}
{% if zabbix_server_sslcalocation is defined and zabbix_server_sslcalocation is not none %}
SSLCALocation={{ zabbix_server_sslcalocation }}
{% endif %}
{% endif %}

####### loadable modules #######
{% if zabbix_server_version is version_compare('2.2', '>=') %}
LoadModulePath={{ zabbix_server_loadmodulepath }}
{% endif %}
{% if zabbix_server_loadmodule is defined and zabbix_server_loadmodule %}
LoadModule = {{ loadmodule }}
{% endif %}

{% if zabbix_server_version is version_compare('3.0', '>=') %}
{% if zabbix_server_tlscafile is defined and zabbix_server_tlscafile is not none %}
TLSCAFile={{ zabbix_server_tlscafile }}
{% endif %}
{% if zabbix_server_tlscrlfile is defined and zabbix_server_tlscrlfile is not none %}
TLSCRLFile={{ zabbix_server_tlscrlfile }}
{% endif %}
{% if zabbix_server_tlscertfile is defined and zabbix_server_tlscertfile is not none %}
TLSCertFile={{ zabbix_server_tlscertfile }}
{% endif %}
{% if zabbix_server_tlskeyfile is defined and zabbix_server_tlskeyfile is not none %}
TLSKeyFile={{ zabbix_server_tlskeyfile }}
{% endif %}
{% endif %}
